// Badges

// Base Style
.badge {
    display: inline-block;
    background-color: $badge-bg;
    color: $badge-color;
    padding: $badge-padding-y $badge-padding-x;
    @include font-size($badge-font-size);
    font-weight: $badge-font-weight;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    cursor: default;
    @include border-radius($badge-border-radius);
    @include transition($badge-transition);
  
    @at-root a#{&} {
      @include hover-focus() {
        text-decoration: none;
      }
    }

    &.badge-square {
      padding: $badge-padding-x;

      &.badge-sm {
        padding: $badge-padding-x-sm;
      }
    }

    &.badge-notify {
        position: absolute;
        top: .5rem;
        right: .25rem;
        padding: .1875rem;
        border-radius: $rounded-pill;
    }
  }
  
  // Quick fix for badges in buttons
  .btn .badge {
    margin-left: .25rem;
    @if ($enable-pointer-cursor-for-buttons) {
      cursor: pointer;
    }
  }

  // Low padding badge
  .badge-sm {
    padding: $badge-padding-y-sm $badge-padding-x-sm;
    @include font-size($badge-font-size-sm);
  }
  
  // Pill badges
  //
  // Make them extra rounded with a modifier to replace v3's badges.
  
  .badge-pill {
    padding-right: $badge-pill-padding-x;
    padding-left: $badge-pill-padding-x;
    border-radius: $badge-pill-border-radius;
  }
  
  // Colors
  //
  // Contextual variations (linked badges get darker on :hover).
  
  @each $color, $value in $theme-colors {
    .badge-#{$color} {
      @include badge-variant($value);
    }
  }

  @each $color, $value in $theme-colors {
    .badge-outline-#{$color} {
      @include badge-outline-variant(theme-color-level($color, -11), $value);
    }
  }
  